org.codehaus.groovy.transform.trait

## Annotation Type Traits.TraitBridge

-     @Retention(value=RUNTIME)
      @Target(value=METHOD)
      public static @interface Traits.TraitBridge

  Internal annotation used to indicate that a method is a bridge method to a trait default implementation.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `desc`
    `Class` | `traitClass`

- - ### Element Detail

    - #### traitClass

          public abstract Class traitClass

      Returns:
        the trait class

    - #### desc

          public abstract String desc

      Returns:
        The method descriptor of the method from the trait